DefinedType (Axis API)
Keywords: org.apache.axis.wsdl.symbolTable.DefinedType class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.symbolTable
Class DefinedType

    java.lang.Object
      org.apache.axis.wsdl.symbolTable.SymTabEntry
          org.apache.axis.wsdl.symbolTable.TypeEntry
              org.apache.axis.wsdl.symbolTable.Type
                  org.apache.axis.wsdl.symbolTable.DefinedType

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  CollectionType

public class DefinedType
extends Type

This Type is for a QName that is a complex or simple type, these types are always emitted.

See Also:
  Serialized Form

Field Summary
`protected TypeEntry` | `extensionBase` Field extensionBase
`protected boolean` | `searchedForExtensionBase` Field searchedForExtensionBase

Fields inherited from class org.apache.axis.wsdl.symbolTable.TypeEntry
`componentType, containedAttributes, containedElements, dims, isBaseType, isSimpleType, itemQName, node, onlyLiteralReference, refType, types, undefined, underlTypeNillable`

Fields inherited from class org.apache.axis.wsdl.symbolTable.SymTabEntry
`name, qname`

Constructor Summary
`DefinedType(QName pqName, org.w3c.dom.Node pNode)` Constructor DefinedType
`DefinedType(QName pqName, TypeEntry refType, org.w3c.dom.Node pNode, java.lang.String dims)` Constructor DefinedType

Method Summary
`TypeEntry` | `getComplexTypeExtensionBase(SymbolTable symbolTable)` Get a TypeEntry for the base type of this type, if one exists.

Methods inherited from class org.apache.axis.wsdl.symbolTable.Type
`isGenerated, setGenerated`

Methods inherited from class org.apache.axis.wsdl.symbolTable.TypeEntry
`getBaseType, getComponentType, getContainedAttributes, getContainedElements, getDimensions, getItemQName, getNestedTypes, getNode, getRefType, getUndefinedTypeRef, getUnderlTypeNillable, isBaseType, isOnlyLiteralReferenced, isSimpleType, setBaseType, setComponentType, setContainedAttributes, setContainedElements, setItemQName, setOnlyLiteralReference, setRefType, setSimpleType, setUnderlTypeNillable, toString, toString, updateUndefined`

Methods inherited from class org.apache.axis.wsdl.symbolTable.SymTabEntry
`getDynamicVar, getName, getQName, isReferenced, setDynamicVar, setIsReferenced, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### extensionBase

    protected TypeEntry extensionBase

  Field extensionBase

### searchedForExtensionBase

    protected boolean searchedForExtensionBase

  Field searchedForExtensionBase

Constructor Detail

### DefinedType

    public DefinedType(QName pqName,
                       org.w3c.dom.Node pNode)

  Constructor DefinedType

Parameters:
  `pqName` -
  `pNode` -

### DefinedType

    public DefinedType(QName pqName,
                       TypeEntry refType,
                       org.w3c.dom.Node pNode,
                       java.lang.String dims)

  Constructor DefinedType

Parameters:
  `pqName` -
  `refType` -
  `pNode` -
  `dims` -

Method Detail

### getComplexTypeExtensionBase

    public TypeEntry getComplexTypeExtensionBase(SymbolTable symbolTable)

  Get a TypeEntry for the base type of this type, if one exists.

  Parameters:
    `symbolTable` - a `SymbolTable` value
  Returns:
    a `TypeEntry` value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.